# Method: partners.devices.unclaimAsync

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaimAsync#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaimAsync#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaimAsync#body.request_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaimAsync#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaimAsync#body.response_body)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaimAsync#body.aspect)
- [PartnerUnclaim](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaimAsync#PartnerUnclaim)
  - [JSON representation](https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaimAsync#PartnerUnclaim.SCHEMA_REPRESENTATION)

Unclaims a batch of devices for a customer asynchronously. Removes the devices from zero-touch enrollment. To learn more, read [Long‑running batch operations](https://developers.google.com/zero-touch/guides/how-it-works#operations).

### HTTP request

`POST https://androiddeviceprovisioning.googleapis.com/v1/partners/{partnerId}/devices:unclaimAsync`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The reseller partner ID. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "unclaims": [ { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaimAsync#PartnerUnclaim`) } ] } ``` |

| Fields ||
|---|---|
| `unclaims[]` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices/unclaimAsync#PartnerUnclaim`)`` Required. The list of devices to unclaim. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/zero-touch/reference/reseller/rest/v1/operations#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## PartnerUnclaim

Identifies one unclaim request.

| JSON representation ||
|---|---|
| ``` { "sectionType": enum (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceProvisioningSectionType`), // Union field `device` can be only one of the following: "deviceIdentifier": { object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceIdentifier`) }, "deviceId": string // End of list of possible types for union field `device`. } ``` |

| Fields ||
|---|---|---|
| `sectionType` | ``enum (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceProvisioningSectionType`)`` Required. The section type of the device's provisioning record. |
| Union field `device`. The device to unclaim. `device` can be only one of the following: |||
| `deviceIdentifier` | ``object (`https://developers.google.com/zero-touch/reference/reseller/rest/v1/partners.devices#DeviceIdentifier`)`` Required. Device identifier of the device. |
| `deviceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Device ID of the device. |